Groovy Documentation

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.DefaultGrailsClass

    public class DefaultGrailsClass
    extends AbstractGrailsClass

A default implementation for Grails classes that need to be registered and managed by a GrailsApplication, but don't need any special handling.

Authors:
  Graeme Rocher

Since:
  0.5

Constructor Summary
`DefaultGrailsClass(java.lang.Class clazz, java.lang.String trailingName)` Contructor to be used by all child classes to create a new instance and get the name right.
`DefaultGrailsClass(java.lang.Class clazz)`

Method Summary

Methods inherited from class AbstractGrailsClass

getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString

Constructor Detail

### DefaultGrailsClass

    public DefaultGrailsClass(java.lang.Class clazz, java.lang.String trailingName)

  Contructor to be used by all child classes to create a new instance and get the name right.
  Parameters:
    `clazz` - the Grails class
    `trailingName` - the trailing part of the name for this class type

### DefaultGrailsClass

    public DefaultGrailsClass(java.lang.Class clazz)

Groovy Documentation